curl --request POST \
--url https://api.harmonyforstaffing.com/api/candidates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1-555-555-5555",
"address": {
"address1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"notes": "Excellent communication skills",
"profession": "Software Engineer",
"specialty": "Frontend Development",
"statusId": 1
}'
{
"id": 456,
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1-555-555-5555",
"address": {
"address1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"notes": "Excellent communication skills",
"profession": "Software Engineer",
"specialty": "Frontend Development",
"statusId": 1,
"status": {
"id": 1,
"name": "New Lead",
"type": "CANDIDATE",
"description": "New candidate in the system"
},
"dateAdded": 1679253000
}
Candidates
Create Candidate
Create a new candidate
POST
/
api
/
candidates
curl --request POST \
--url https://api.harmonyforstaffing.com/api/candidates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1-555-555-5555",
"address": {
"address1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"notes": "Excellent communication skills",
"profession": "Software Engineer",
"specialty": "Frontend Development",
"statusId": 1
}'
{
"id": 456,
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1-555-555-5555",
"address": {
"address1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"notes": "Excellent communication skills",
"profession": "Software Engineer",
"specialty": "Frontend Development",
"statusId": 1,
"status": {
"id": 1,
"name": "New Lead",
"type": "CANDIDATE",
"description": "New candidate in the system"
},
"dateAdded": 1679253000
}
Create a new candidate in the system.
Body Parameters
string
required
First name
string
required
Last name
string
required
Email address
string
Phone number
object
string
Additional notes about the candidate
string
Primary profession
string
Specialty or focus area
integer
required
ID of the candidate’s status (see /statuses endpoint)
Response
integer
The ID of the created candidate
object
integer
Unix timestamp when the candidate was added
curl --request POST \
--url https://api.harmonyforstaffing.com/api/candidates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1-555-555-5555",
"address": {
"address1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"notes": "Excellent communication skills",
"profession": "Software Engineer",
"specialty": "Frontend Development",
"statusId": 1
}'
{
"id": 456,
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phone": "+1-555-555-5555",
"address": {
"address1": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"notes": "Excellent communication skills",
"profession": "Software Engineer",
"specialty": "Frontend Development",
"statusId": 1,
"status": {
"id": 1,
"name": "New Lead",
"type": "CANDIDATE",
"description": "New candidate in the system"
},
"dateAdded": 1679253000
}